Index: LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5160)
@@ -2,198 +2,197 @@
 MODULE physiq_mod
 
-IMPLICIT NONE
+  IMPLICIT NONE
 
 CONTAINS
 
-      SUBROUTINE physiq(nlon,nlev, &
-              debut,lafin,pdtphys, &
-              paprs,pplay,pphi,pphis,presnivs, &
-              u,v,t,qx, &
-              flxmass_w, &
-              d_u, d_v, d_t, d_qx, d_ps)
+  SUBROUTINE physiq(nlon, nlev, &
+          debut, lafin, pdtphys, &
+          paprs, pplay, pphi, pphis, presnivs, &
+          u, v, t, qx, &
+          flxmass_w, &
+          d_u, d_v, d_t, d_qx, d_ps)
 
-      USE dimphy, ONLY: klon,klev
-      USE infotrac_phy, ONLY: nqtot
-      USE lmdz_geometry, ONLY: latitude
-      USE comcstphy, ONLY: rg
-      USE iophy, ONLY: histbeg_phy,histwrite_phy
-      USE ioipsl, ONLY: getin,histvert,histdef,histend,ymds2ju
-      USE lmdz_phys_para, ONLY: jj_nb
-      USE phys_state_var_mod, ONLY: phys_state_var_init
-      USE lmdz_grid_phy, ONLY: nbp_lon,nbp_lat
+    USE dimphy, ONLY: klon, klev
+    USE infotrac_phy, ONLY: nqtot
+    USE lmdz_geometry, ONLY: latitude
+    USE comcstphy, ONLY: rg
+    USE iophy, ONLY: histbeg_phy, histwrite_phy
+    USE ioipsl, ONLY: getin, histvert, histdef, histend, ymds2ju
+    USE lmdz_phys_para, ONLY: jj_nb
+    USE phys_state_var_mod, ONLY: phys_state_var_init
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
 
-      USE lmdz_xios, ONLY: xios_update_calendar, using_xios
-      USE lmdz_wxios, ONLY: wxios_add_vaxis, wxios_set_cal, wxios_closedef
-      USE iophy, ONLY: histwrite_phy
+    USE lmdz_xios, ONLY: xios_update_calendar, using_xios
+    USE lmdz_wxios, ONLY: wxios_add_vaxis, wxios_set_cal, wxios_closedef
+    USE iophy, ONLY: histwrite_phy
 
-      IMPLICIT NONE
+    IMPLICIT NONE
 
-! Routine argument:
+    ! Routine argument:
 
-      INTEGER,INTENT(IN) :: nlon ! number of atmospheric colums
-      INTEGER,INTENT(IN) :: nlev ! number of vertical levels (should be =klev)
-      logical,INTENT(IN) :: debut ! signals first CALL to physics
-      logical,INTENT(IN) :: lafin ! signals last CALL to physics
-      REAL,INTENT(IN) :: pdtphys ! physics time step (s)
-      REAL,INTENT(IN) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
-      REAL,INTENT(IN) :: pplay(klon,klev) ! mid-layer pressure (Pa)
-      REAL,INTENT(IN) :: pphi(klon,klev) ! geopotential at mid-layer
-      REAL,INTENT(IN) :: pphis(klon) ! surface geopotential
-      REAL,INTENT(IN) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
-      REAL,INTENT(IN) :: u(klon,klev) ! eastward zonal wind (m/s)
-      REAL,INTENT(IN) :: v(klon,klev) ! northward meridional wind (m/s)
-      REAL,INTENT(IN) :: t(klon,klev) ! temperature (K)
-      REAL,INTENT(IN) :: qx(klon,klev,nqtot) ! tracers (.../kg_air)
-      REAL,INTENT(IN) :: flxmass_w(klon,klev) ! vertical mass flux
-      REAL,INTENT(OUT) :: d_u(klon,klev) ! physics tendency on u (m/s/s)
-      REAL,INTENT(OUT) :: d_v(klon,klev) ! physics tendency on v (m/s/s)
-      REAL,INTENT(OUT) :: d_t(klon,klev) ! physics tendency on t (K/s)
-      REAL,INTENT(OUT) :: d_qx(klon,klev,nqtot) ! physics tendency on tracers
-      REAL,INTENT(OUT) :: d_ps(klon) ! physics tendency on surface pressure
+    INTEGER, INTENT(IN) :: nlon ! number of atmospheric colums
+    INTEGER, INTENT(IN) :: nlev ! number of vertical levels (should be =klev)
+    LOGICAL, INTENT(IN) :: debut ! signals first CALL to physics
+    LOGICAL, INTENT(IN) :: lafin ! signals last CALL to physics
+    REAL, INTENT(IN) :: pdtphys ! physics time step (s)
+    REAL, INTENT(IN) :: paprs(klon, klev + 1) ! interlayer pressure (Pa)
+    REAL, INTENT(IN) :: pplay(klon, klev) ! mid-layer pressure (Pa)
+    REAL, INTENT(IN) :: pphi(klon, klev) ! geopotential at mid-layer
+    REAL, INTENT(IN) :: pphis(klon) ! surface geopotential
+    REAL, INTENT(IN) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
+    REAL, INTENT(IN) :: u(klon, klev) ! eastward zonal wind (m/s)
+    REAL, INTENT(IN) :: v(klon, klev) ! northward meridional wind (m/s)
+    REAL, INTENT(IN) :: t(klon, klev) ! temperature (K)
+    REAL, INTENT(IN) :: qx(klon, klev, nqtot) ! tracers (.../kg_air)
+    REAL, INTENT(IN) :: flxmass_w(klon, klev) ! vertical mass flux
+    REAL, INTENT(OUT) :: d_u(klon, klev) ! physics tendency on u (m/s/s)
+    REAL, INTENT(OUT) :: d_v(klon, klev) ! physics tendency on v (m/s/s)
+    REAL, INTENT(OUT) :: d_t(klon, klev) ! physics tendency on t (K/s)
+    REAL, INTENT(OUT) :: d_qx(klon, klev, nqtot) ! physics tendency on tracers
+    REAL, INTENT(OUT) :: d_ps(klon) ! physics tendency on surface pressure
 
-INTEGER,save :: itau=0 ! counter to count number of calls to physics
-!$OMP THREADPRIVATE(itau)
-REAL :: temp_newton(klon,klev)
-INTEGER :: k
-logical, save :: first=.TRUE.
-!$OMP THREADPRIVATE(first)
+    INTEGER, save :: itau = 0 ! counter to count number of calls to physics
+    !$OMP THREADPRIVATE(itau)
+    REAL :: temp_newton(klon, klev)
+    INTEGER :: k
+    logical, save :: first = .TRUE.
+    !$OMP THREADPRIVATE(first)
 
-! For I/Os
-INTEGER :: itau0
-REAL :: zjulian
-REAL :: dtime
-INTEGER :: nhori ! horizontal coordinate ID
-INTEGER,save :: nid_hist ! output file ID
-!$OMP THREADPRIVATE(nid_hist)
-INTEGER :: zvertid ! vertical coordinate ID
-INTEGER,save :: iwrite_phys ! output every iwrite_phys physics step
-!$OMP THREADPRIVATE(iwrite_phys)
-INTEGER,save :: iwrite_phys_omp ! intermediate variable to read iwrite_phys
-                                ! (must be shared by all threads)
-REAL :: t_ops ! frequency of the IOIPSL operations (eg average over...)
-REAL :: t_wrt ! frequency of the IOIPSL outputs
+    ! For I/Os
+    INTEGER :: itau0
+    REAL :: zjulian
+    REAL :: dtime
+    INTEGER :: nhori ! horizontal coordinate ID
+    INTEGER, save :: nid_hist ! output file ID
+    !$OMP THREADPRIVATE(nid_hist)
+    INTEGER :: zvertid ! vertical coordinate ID
+    INTEGER, save :: iwrite_phys ! output every iwrite_phys physics step
+    !$OMP THREADPRIVATE(iwrite_phys)
+    INTEGER, save :: iwrite_phys_omp ! intermediate variable to read iwrite_phys
+    ! (must be shared by all threads)
+    REAL :: t_ops ! frequency of the IOIPSL operations (eg average over...)
+    REAL :: t_wrt ! frequency of the IOIPSL outputs
 
-! initializations
-IF (debut) then ! Things to do only for the first CALL to physics
-! load initial conditions for physics (including the grid)
-  CALL phys_state_var_init() ! some initializations, required before calling phyetat0
-  CALL phyetat0("startphy.nc")
+    ! initializations
+    IF (debut) then ! Things to do only for the first CALL to physics
+      ! load initial conditions for physics (including the grid)
+      CALL phys_state_var_init() ! some initializations, required before calling phyetat0
+      CALL phyetat0("startphy.nc")
 
-! Initialize outputs:
-  itau0=0
-!$OMP MASTER
-  iwrite_phys_omp=1 !default: output every physics timestep
-  ! NB: getin() is not threadsafe; only one thread should CALL it.
-  CALL getin("iwrite_phys",iwrite_phys_omp)
-!$OMP END MASTER
-!$OMP BARRIER
-  iwrite_phys=iwrite_phys_omp
-  t_ops=pdtphys*iwrite_phys ! frequency of the IOIPSL operation
-  t_wrt=pdtphys*iwrite_phys ! frequency of the outputs in the file
-  ! compute zjulian for annee0=1979 and month=1 dayref=1 and hour=0.0
-  !CALL ymds2ju(annee0, month, dayref, hour, zjulian)
-  CALL ymds2ju(1979, 1, 1, 0.0, zjulian)
-  dtime=pdtphys
+      ! Initialize outputs:
+      itau0 = 0
+      !$OMP MASTER
+      iwrite_phys_omp = 1 !default: output every physics timestep
+      ! NB: getin() is not threadsafe; only one thread should CALL it.
+      CALL getin("iwrite_phys", iwrite_phys_omp)
+      !$OMP END MASTER
+      !$OMP BARRIER
+      iwrite_phys = iwrite_phys_omp
+      t_ops = pdtphys * iwrite_phys ! frequency of the IOIPSL operation
+      t_wrt = pdtphys * iwrite_phys ! frequency of the outputs in the file
+      ! compute zjulian for annee0=1979 and month=1 dayref=1 and hour=0.0
+      !CALL ymds2ju(annee0, month, dayref, hour, zjulian)
+      CALL ymds2ju(1979, 1, 1, 0.0, zjulian)
+      dtime = pdtphys
 #ifndef CPP_IOIPSL_NO_OUTPUT
-  ! Initialize IOIPSL output file
-  CALL histbeg_phy("histins.nc",itau0,zjulian,dtime,nhori,nid_hist)
+      ! Initialize IOIPSL output file
+      CALL histbeg_phy("histins.nc", itau0, zjulian, dtime, nhori, nid_hist)
 #endif
 
-!$OMP MASTER
+      !$OMP MASTER
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-! IOIPSL
-  ! define vertical coordinate
-  CALL histvert(nid_hist,"presnivs","Vertical levels","Pa",klev, &
-                presnivs,zvertid,'down')
-  ! define variables which will be written in "histins.nc" file
-  CALL histdef(nid_hist,'temperature','Atmospheric temperature','K', &
-               nbp_lon,jj_nb,nhori,klev,1,klev,zvertid,32, &
-               'inst(X)',t_ops,t_wrt)
-  CALL histdef(nid_hist,'u','Eastward Zonal Wind','m/s', &
-               nbp_lon,jj_nb,nhori,klev,1,klev,zvertid,32, &
-               'inst(X)',t_ops,t_wrt)
-  CALL histdef(nid_hist,'v','Northward Meridional Wind','m/s', &
-               nbp_lon,jj_nb,nhori,klev,1,klev,zvertid,32, &
-               'inst(X)',t_ops,t_wrt)
-  CALL histdef(nid_hist,'ps','Surface Pressure','Pa', &
-               nbp_lon,jj_nb,nhori,1,1,1,zvertid,32, &
-               'inst(X)',t_ops,t_wrt)
-  ! end definition sequence
-  CALL histend(nid_hist)
+      ! IOIPSL
+      ! define vertical coordinate
+      CALL histvert(nid_hist, "presnivs", "Vertical levels", "Pa", klev, &
+              presnivs, zvertid, 'down')
+      ! define variables which will be written in "histins.nc" file
+      CALL histdef(nid_hist, 'temperature', 'Atmospheric temperature', 'K', &
+              nbp_lon, jj_nb, nhori, klev, 1, klev, zvertid, 32, &
+              'inst(X)', t_ops, t_wrt)
+      CALL histdef(nid_hist, 'u', 'Eastward Zonal Wind', 'm/s', &
+              nbp_lon, jj_nb, nhori, klev, 1, klev, zvertid, 32, &
+              'inst(X)', t_ops, t_wrt)
+      CALL histdef(nid_hist, 'v', 'Northward Meridional Wind', 'm/s', &
+              nbp_lon, jj_nb, nhori, klev, 1, klev, zvertid, 32, &
+              'inst(X)', t_ops, t_wrt)
+      CALL histdef(nid_hist, 'ps', 'Surface Pressure', 'Pa', &
+              nbp_lon, jj_nb, nhori, 1, 1, 1, zvertid, 32, &
+              'inst(X)', t_ops, t_wrt)
+      ! end definition sequence
+      CALL histend(nid_hist)
 #endif
 
-    IF (using_xios) THEN
-!XIOS
-      ! Declare available vertical axes to be used in output files:    
-      CALL wxios_add_vaxis("presnivs", klev, presnivs)
+      IF (using_xios) THEN
+        !XIOS
+        ! Declare available vertical axes to be used in output files:
+        CALL wxios_add_vaxis("presnivs", klev, presnivs)
 
-      ! Declare calendar and time step
-      CALL wxios_set_cal(dtime,"earth_360d",1,1,1,0.0,1,1,1,0.0)
-    
-      !Finalize the context:
-      CALL wxios_closedef()
-    ENDIF
-!$OMP END MASTER
-!$OMP BARRIER
-END IF ! of if (debut)
+        ! Declare calendar and time step
+        CALL wxios_set_cal(dtime, "earth_360d", 1, 1, 1, 0.0, 1, 1, 1, 0.0)
 
-! increment local time counter itau
-itau=itau+1
+        !Finalize the context:
+        CALL wxios_closedef()
+      ENDIF
+      !$OMP END MASTER
+      !$OMP BARRIER
+    END IF ! of if (debut)
 
-! set all tendencies to zero
-d_u(1:klon,1:klev)=0.
-d_v(1:klon,1:klev)=0.
-d_t(1:klon,1:klev)=0.
-d_qx(1:klon,1:klev,1:nqtot)=0.
-d_ps(1:klon)=0.
+    ! increment local time counter itau
+    itau = itau + 1
 
-! compute tendencies to return to the dynamics:
-! "friction" on the first layer
-d_u(1:klon,1)=-u(1:klon,1)/86400.
-d_v(1:klon,1)=-v(1:klon,1)/86400.
-! newtonian relaxation towards temp_newton()
-DO k=1,klev
-  temp_newton(1:klon,k)=280.+cos(latitude(1:klon))*40.-pphi(1:klon,k)/rg*6.e-3
-  d_t(1:klon,k)=(temp_newton(1:klon,k)-t(1:klon,k))/1.e5
-END DO
+    ! set all tendencies to zero
+    d_u(1:klon, 1:klev) = 0.
+    d_v(1:klon, 1:klev) = 0.
+    d_t(1:klon, 1:klev) = 0.
+    d_qx(1:klon, 1:klev, 1:nqtot) = 0.
+    d_ps(1:klon) = 0.
 
+    ! compute tendencies to return to the dynamics:
+    ! "friction" on the first layer
+    d_u(1:klon, 1) = -u(1:klon, 1) / 86400.
+    d_v(1:klon, 1) = -v(1:klon, 1) / 86400.
+    ! newtonian relaxation towards temp_newton()
+    DO k = 1, klev
+      temp_newton(1:klon, k) = 280. + cos(latitude(1:klon)) * 40. - pphi(1:klon, k) / rg * 6.e-3
+      d_t(1:klon, k) = (temp_newton(1:klon, k) - t(1:klon, k)) / 1.e5
+    END DO
 
-PRINT*,'PHYDEV: itau=',itau
+    PRINT*, 'PHYDEV: itau=', itau
 
-! write some outputs:
-! IOIPSL
+    ! write some outputs:
+    ! IOIPSL
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-IF (modulo(itau,iwrite_phys)==0) THEN
-  CALL histwrite_phy(nid_hist,.FALSE.,"temperature",itau,t)
-  CALL histwrite_phy(nid_hist,.FALSE.,"u",itau,u)
-  CALL histwrite_phy(nid_hist,.FALSE.,"v",itau,v)
-  CALL histwrite_phy(nid_hist,.FALSE.,"ps",itau,paprs(:,1))
-END IF
+    IF (modulo(itau, iwrite_phys)==0) THEN
+      CALL histwrite_phy(nid_hist, .FALSE., "temperature", itau, t)
+      CALL histwrite_phy(nid_hist, .FALSE., "u", itau, u)
+      CALL histwrite_phy(nid_hist, .FALSE., "v", itau, v)
+      CALL histwrite_phy(nid_hist, .FALSE., "ps", itau, paprs(:, 1))
+    END IF
 #endif
 
-!XIOS
-IF (using_xios) THEN
-  !$OMP MASTER
-    !Increment XIOS time
-    CALL xios_update_calendar(itau)
-  !$OMP END MASTER
-  !$OMP BARRIER
+    !XIOS
+    IF (using_xios) THEN
+      !$OMP MASTER
+      !Increment XIOS time
+      CALL xios_update_calendar(itau)
+      !$OMP END MASTER
+      !$OMP BARRIER
 
-    !Send fields to XIOS: (NB these fields must also be defined as
-    ! <field id="..." /> in iodef.xml to be correctly used
-    CALL histwrite_phy("temperature",t)
-    CALL histwrite_phy("temp_newton",temp_newton)
-    CALL histwrite_phy("u",u)
-    CALL histwrite_phy("v",v)
-    CALL histwrite_phy("ps",paprs(:,1))
-ENDIF
+      !Send fields to XIOS: (NB these fields must also be defined as
+      ! <field id="..." /> in iodef.xml to be correctly used
+      CALL histwrite_phy("temperature", t)
+      CALL histwrite_phy("temp_newton", temp_newton)
+      CALL histwrite_phy("u", u)
+      CALL histwrite_phy("v", v)
+      CALL histwrite_phy("ps", paprs(:, 1))
+    ENDIF
 
-! if lastcall, then it is time to write "restartphy.nc" file
-IF (lafin) THEN
-  CALL phyredem("restartphy.nc")
-END IF
+    ! if lastcall, then it is time to write "restartphy.nc" file
+    IF (lafin) THEN
+      CALL phyredem("restartphy.nc")
+    END IF
 
-END SUBROUTINE  physiq
+  END SUBROUTINE  physiq
 
 END MODULE physiq_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/aeropt_spl.f90	(revision 5160)
@@ -11,10 +11,9 @@
   USE infotrac
   USE lmdz_yomcst
-
-USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+
   IMPLICIT NONE
-
-  INCLUDE "chem.h"
-
 
   ! Arguments:
@@ -134,5 +133,5 @@
       ! IF (rh.gt.40.) THEN
       !     RH_num=5   ! Added by NHL temporarily
-      !     print *,'TEMPORARY CASE'
+      !     PRINT *,'TEMPORARY CASE'
       ! ENDIF
       DELTA = (rh - RH_tab(RH_num)) / (RH_tab(RH_num + 1) - RH_tab(RH_num))
@@ -174,5 +173,5 @@
               ss_dustsco(1) * tr_seri(i, k, id_scdu) * &
                       zdz(i, k) * 1.e6
-      ! print *,'taue550_ss = ',SUM(taue550_ss),MINVAL(taue550_ss),
+      ! PRINT *,'taue550_ss = ',SUM(taue550_ss),MINVAL(taue550_ss),
       ! .                                          MAXVAL(taue550_ss)
 
@@ -237,13 +236,11 @@
                       zdz(i, k) * 1.e6
 
-
-
       IF(id_coss>0)  burden_ss(i) = burden_ss(i) &
               + tr_seri(i, k, id_coss) * 1.e6 * 1.e3 * zdz(i, k)
     ENDDO            !-loop on klev
   ENDDO            !-loop on klon
-  ! print *,'tr_seri = ',SUM(tr_seri(:,:,3)),MINVAL(tr_seri(:,:,3)),
+  ! PRINT *,'tr_seri = ',SUM(tr_seri(:,:,3)),MINVAL(tr_seri(:,:,3)),
   ! .                                          MAXVAL(tr_seri(:,:,3))
-  !  print *,'taue550_ss = ',SUM(taue550_ss),MINVAL(taue550_ss),
+  !  PRINT *,'taue550_ss = ',SUM(taue550_ss),MINVAL(taue550_ss),
   ! .                                        MAXVAL(taue550_ss)
   !
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bcscav_spl.f90	(revision 5160)
@@ -6,4 +6,7 @@
 
   USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+
   IMPLICIT NONE
   !=====================================================================
@@ -12,7 +15,4 @@
   ! Auteur: O. Boucher (LOA)
   !=====================================================================
-  !
-
-  INCLUDE "chem.h"
 
   REAL :: pdtime, alpha_r, alpha_s, R_r, R_s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav.f90	(revision 5160)
@@ -10,11 +10,10 @@
   USE lmdz_yomcst
 
-USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
   USE lmdz_paramet
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+
   IMPLICIT NONE
-
-
-  INCLUDE "chem.h"
-
   !============================= INPUT ===================================
   REAL :: qmin, qmax
@@ -89,6 +88,4 @@
             aux_var1, aux_var2)
 
-
-
     DO i = 1, klon
       DO j = 1, klev
@@ -121,5 +118,4 @@
     ENDIF
 
-
   ENDDO !--boucle sur it
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5160)
@@ -10,11 +10,9 @@
   USE lmdz_yomcst
 
-USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
   USE lmdz_paramet
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
   IMPLICIT NONE
-
-
-  INCLUDE "chem.h"
-
 
   !============================= INPUT ===================================
@@ -91,6 +89,4 @@
     !JE     .                aux_var1,aux_var2)
 
-
-
     DO i = 1, klon
       DO j = 1, klev
@@ -123,5 +119,4 @@
     ENDIF
 
-
   ENDDO !--boucle sur it
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cltrac_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cltrac_spl.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cltrac_spl.f90	(revision 5160)
@@ -46,8 +46,8 @@
   !======================================================================
   ! CHECKING VALUES
-  ! print *,'CHECKING VALUES IN CLTRAC (INI)'
-  ! print *,'d_tr = ',sum(d_tr),MINVAL(d_tr),MAXVAL(d_tr)
-  ! print *,'flux = ',sum(flux),MINVAL(flux),MAXVAL(flux)
-  ! print *,'tr = ',sum(tr),MINVAL(tr),MAXVAL(tr)
+  ! PRINT *,'CHECKING VALUES IN CLTRAC (INI)'
+  ! PRINT *,'d_tr = ',sum(d_tr),MINVAL(d_tr),MAXVAL(d_tr)
+  ! PRINT *,'flux = ',sum(flux),MINVAL(flux),MAXVAL(flux)
+  ! PRINT *,'tr = ',sum(tr),MINVAL(tr),MAXVAL(tr)
   !======================================================================
   DO k = 1, klev
@@ -107,10 +107,10 @@
   ENDDO
   !======================================================================
-  ! print *,'CHECKING VALUES IN CLTRAC (FIN)'
-  ! print *,'local_tr = ',sum(local_tr),MINVAL(local_tr),
+  ! PRINT *,'CHECKING VALUES IN CLTRAC (FIN)'
+  ! PRINT *,'local_tr = ',sum(local_tr),MINVAL(local_tr),
   ! .                                    MAXVAL(local_tr)
-  !  print *,'zx_ctr = ',sum(zx_ctr),MINVAL(zx_ctr),MAXVAL(zx_ctr)
-  !  print *,'zx_dtr = ',sum(zx_dtr),MINVAL(zx_dtr),MAXVAL(zx_dtr)
-  !  print *,'tr = ',sum(tr),MINVAL(tr),MAXVAL(tr)
+  !  PRINT *,'zx_ctr = ',sum(zx_ctr),MINVAL(zx_ctr),MAXVAL(zx_ctr)
+  !  PRINT *,'zx_dtr = ',sum(zx_dtr),MINVAL(zx_dtr),MAXVAL(zx_dtr)
+  !  PRINT *,'tr = ',sum(tr),MINVAL(tr),MAXVAL(tr)
   !======================================================================
   !== flux_tr est le flux de traceur (positif vers bas)
@@ -130,6 +130,6 @@
     ENDDO
   ENDDO
-  ! print *,'CHECKING VALUES IN CLTRAC (END)'
-  ! print *,'d_tr = ',sum(d_tr),MINVAL(d_tr),MAXVAL(d_tr)
+  ! PRINT *,'CHECKING VALUES IN CLTRAC (END)'
+  ! PRINT *,'d_tr = ',sum(d_tr),MINVAL(d_tr),MAXVAL(d_tr)
 
 END SUBROUTINE cltrac_spl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5160)
@@ -29,14 +29,14 @@
   USE infotrac
   USE dustemission_mod, ONLY: dustemission
-  ! USE phytracr_spl_mod, ONLY: nbreg_dust, nbreg_ind, nbreg_bb
+  ! USE lmdz_phytracr_spl, ONLY: nbreg_dust, nbreg_ind, nbreg_bb
   USE lmdz_yomcst
 
-USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
+  USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
   USE lmdz_paramet
+  USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
+  USE lmdz_chem_spla, ONLY: ss_bins
   IMPLICIT NONE
 
-
-  INCLUDE "chem.h"
-  INCLUDE "chem_spla.h"
 
 
@@ -131,8 +131,7 @@
   ENDDO
   CALL minmaxsource(tmp_var2, qmin, qmax, 'src: before DD emiss')
-  ! print *,'Source = ',SUM(source_tr),MINVAL(source_tr),
+  ! PRINT *,'Source = ',SUM(source_tr),MINVAL(source_tr),
   ! .                                     MAXVAL(source_tr)
   !  ENDIF
-
 
   IF (.NOT. ok_chimeredust)  THEN
@@ -184,5 +183,5 @@
   ! je  20140522
   IF(ok_chimeredust) THEN
-    print *, 'MIX- NEW SAHARA DUST SOURCE SCHEME...'
+    PRINT *, 'MIX- NEW SAHARA DUST SOURCE SCHEME...'
 
     DO i = 1, klon
@@ -270,5 +269,5 @@
   CALL minmaxsource(tmp_var2, qmin, qmax, 'src: before SS emiss')
   IF(id_coss>0) THEN
-    print *, 'Source = ', SUM(source_tr(:, id_coss)), &
+    PRINT *, 'Source = ', SUM(source_tr(:, id_coss)), &
             MINVAL(source_tr(:, id_coss)), MAXVAL(source_tr(:, id_coss))
   ENDIF
@@ -303,5 +302,5 @@
   CALL minmaxsource(tmp_var2, qmin, qmax, 'src: after SS emiss')
   IF(id_coss>0) THEN
-    print *, 'Source = ', SUM(source_tr(:, id_coss)), &
+    PRINT *, 'Source = ', SUM(source_tr(:, id_coss)), &
             MINVAL(source_tr(:, id_coss)), MAXVAL(source_tr(:, id_coss))
   ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5160)
@@ -28,5 +28,5 @@
     IF (jour>(360 - 1).AND.jour<=367) THEN
       jour = 360 - 1
-      print *, 'JE: jour changed to jour= ', jour
+      PRINT *, 'JE: jour changed to jour= ', jour
     ELSE
       PRINT*, 'Le jour demande n est pas correcte:', jour
@@ -51,8 +51,8 @@
   ierr = nf90_inq_varid (nid1, "BCFF", nvarid)
   ierr = nf90_get_var(nid1, nvarid, lmt_bcff, debut, epais)
-  ! print *,'IERR = ',ierr
-  ! print *,'nf90_noerr = ',nf90_noerr
-  ! print *,'debut = ',debut
-  ! print *,'epais = ',epais
+  ! PRINT *,'IERR = ',ierr
+  ! PRINT *,'nf90_noerr = ',nf90_noerr
+  ! PRINT *,'debut = ',debut
+  ! PRINT *,'epais = ',epais
   IF (ierr /= nf90_noerr) THEN
     PRINT*, 'Pb de lecture pour les sources BC'
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5160)
@@ -39,5 +39,5 @@
   IF (jour<0 .OR. jour>366) THEN
     PRINT*, 'Le jour demande n est pas correcte:', jour
-    print *, 'JE: FORCED TO CONTINUE (emissions have&
+    PRINT *, 'JE: FORCED TO CONTINUE (emissions have&
             & to be longer than 1 year!!!! )'
     !JE         CALL ABORT
@@ -73,5 +73,5 @@
       CALL exit(1)
     ENDIF
-    !print *,'lmt_bcff = ',lmt_bcff
+    !PRINT *,'lmt_bcff = ',lmt_bcff
     !stop
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5160)
@@ -29,5 +29,5 @@
     IF ((jour>(360 - 1)) .AND. (jour<=367)) THEN
       jour = 360 - 1
-      print *, 'JE: jour changed to jour= ', jour
+      PRINT *, 'JE: jour changed to jour= ', jour
     ELSE
       PRINT*, 'Le jour demande n est pas correcte:', jour
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5160)
@@ -43,5 +43,5 @@
   IF (jour<0 .OR. jour>(366 - 1)) THEN
     PRINT*, 'Le jour demande n est pas correcte:', jour
-    print *, 'JE: FORCED TO CONTINUE (emissions have&
+    PRINT *, 'JE: FORCED TO CONTINUE (emissions have&
             & to be longer than 1 year!!!! )'
     ! CALL ABORT
@@ -74,7 +74,7 @@
     IF (ierr /= nf90_noerr) THEN
       PRINT*, 'Pb de lecture pour les sources so2 low'
-      print *, 'JE klon, jour, debut ,epais ', klon_glo, jour, debut, epais
+      PRINT *, 'JE klon, jour, debut ,epais ', klon_glo, jour, debut, epais
       CALL HANDLE_ERR(ierr)
-      print *, 'error ierr= ', ierr
+      PRINT *, 'error ierr= ', ierr
       CALL exit(1)
     ENDIF
@@ -183,6 +183,6 @@
     !                  READING VOLCANIC EMISSIONS
     !=======================================================================
-    print *, '   ***      READING VOLCANIC EMISSIONS   ***   '
-    print *, ' Jour = ', jour
+    PRINT *, '   ***      READING VOLCANIC EMISSIONS   ***   '
+    PRINT *, ' Jour = ', jour
     ierr = nf90_open ("sulphur_emissions_volc.nc", nf90_nowrite, nid)
     IF (ierr/=nf90_noerr) THEN
@@ -201,5 +201,5 @@
       CALL exit(1)
     ENDIF
-    print *, 'SO2 volc cont (in read) = ', SUM(lmt_so2volc_cont_glo), &
+    PRINT *, 'SO2 volc cont (in read) = ', SUM(lmt_so2volc_cont_glo), &
             MINVAL(lmt_so2volc_cont_glo), MAXVAL(lmt_so2volc_cont_glo)
     ! lmt_so2volc(:)=0.0
@@ -224,5 +224,5 @@
     ENDIF
     ! lmt_so2volc_expl(:)=0.0
-    print *, 'SO2 volc expl (in read) = ', SUM(lmt_so2volc_expl_glo), &
+    PRINT *, 'SO2 volc expl (in read) = ', SUM(lmt_so2volc_expl_glo), &
             MINVAL(lmt_so2volc_expl_glo), MAXVAL(lmt_so2volc_expl_glo)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.f90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/deposition.f90	(revision 5160)
@@ -13,8 +13,10 @@
 USE lmdz_dimensions, ONLY: iim, jjm, llm, ndm
   USE lmdz_paramet
+USE lmdz_chem, ONLY: idms, iso2, iso4, ih2s, idmso, imsa, ih2o2, &
+          n_avogadro, masse_s, masse_so4, rho_water, rho_ice
   IMPLICIT NONE
 
 
-  INCLUDE "chem.h"
+
 
 
